# minimumLedgerSlot

Returns the lowest slot that the node has information of in its ledger.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

None.

## Returns

`u64` The lowest slot that the node has information of. This number may increase over time if the node is purging older ledger data.

```bash
// Result
{ "jsonrpc": "2.0", "result": 1234, "id": 1 }
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"method":"minimumLedgerSlot","params":[],"id":1,"jsonrpc":"2.0"}'
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"method":"minimumLedgerSlot","params":[],"id":1,"jsonrpc":"2.0"}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/minimumledgerslot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
